# skip lines not intended for description
/<table id=nodescr/,/^$/ d
/<p id=nodescr>/,/^$/ d

# define ranges to be extracted and handled
1,/^<h.>Introduction/ d
/^<h.>.*verview/,$ b overview

: intro
/^$/ d
s/<p>//
/^[	 ]*</ d
b

: overview

/^<h.>.*verview/ b ovbegin
b ovcont
: ovbegin
i\

i\


: ovcont

# suppress HTML only lines
/^[	 ]*<[^>]*>$/ d

# headers
s,^[	 ]*<h3>\([^<]*\).*,\1,
t lines

# sections
s,[	 ]*<h[^>]*>\([^<]*\).*,\1,
t lines

# items
s,[	 ]*<li>,* ,
t lines

# continuation lines
s,[	 ]*,  ,

:lines
# remove embedded HTML
s,<[^>]*> *,,g
s,^ *$,,

